Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.presentation
Class ViewModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecp.view.model.presentation.ViewModelWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class ViewModelWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

This is a simple wizard for creating a new model file.

Field Summary
`static List<String>` | `FILE_EXTENSIONS` The supported extensions for created files.
`static String` | `FORMATTED_FILE_EXTENSIONS` A formatted list of supported file extensions, suitable for display.

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ViewModelWizard()`

Method Summary
`void` | `addPages()` The framework calls this to create the contents of the wizard.
`boolean` | `canFinish()`
`void` | `clearSelectedContainer()`
`org.eclipse.jface.wizard.IWizardPage` | `getNextPage(org.eclipse.jface.wizard.IWizardPage page)`
`org.eclipse.jface.wizard.IWizardPage` | `getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)`
`org.eclipse.jface.wizard.IWizardPage` | `getStartingPage()`
`static IDEViewModelRegistry` | `getViewModelRegistry()` Return the `IDEViewModelRegistry`.
`void` | `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)` This just records the information.
`boolean` | `performFinish()` Do the work after everything is specified.
`void` | `setSelectedContainer(Object selectedContainer)`
`void` | `setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)`
`void` | `setWorkbench(org.eclipse.ui.IWorkbench workbench)`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### FILE_EXTENSIONS

    public static final List<String> FILE_EXTENSIONS

  The supported extensions for created files.

### FORMATTED_FILE_EXTENSIONS

    public static final String FORMATTED_FILE_EXTENSIONS

  A formatted list of supported file extensions, suitable for display.

Constructor Detail

### ViewModelWizard

    public ViewModelWizard()

Method Detail

### setSelectedContainer

    public void setSelectedContainer(Object selectedContainer)

  Parameters:
    `selectedContainer` - the selectedContainer to set

### clearSelectedContainer

    public void clearSelectedContainer()

### setSelection

    public void setSelection(org.eclipse.jface.viewers.IStructuredSelection selection)

  Parameters:
    `selection` - the selection to set

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  This just records the information.

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### getStartingPage

    public org.eclipse.jface.wizard.IWizardPage getStartingPage()

  Specified by:
    `getStartingPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getStartingPage` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.getStartingPage()`

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage page)

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.getNextPage(org.eclipse.jface.wizard.IWizardPage)`

### getPreviousPage

    public org.eclipse.jface.wizard.IWizardPage getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)

  Specified by:
    `getPreviousPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getPreviousPage` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.getPreviousPage(org.eclipse.jface.wizard.IWizardPage)`

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.canFinish()`

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### getViewModelRegistry

    public static IDEViewModelRegistry getViewModelRegistry()

  Return the `IDEViewModelRegistry`.

  Returns:
    the `IDEViewModelRegistry`

### setWorkbench

    public void setWorkbench(org.eclipse.ui.IWorkbench workbench)

  Parameters:
    `workbench` - the workbench to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.